curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/events/{event_ticker}import requests
url = "https://external-api.kalshi.com/trade-api/v2/events/{event_ticker}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://external-api.kalshi.com/trade-api/v2/events/{event_ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"event_ticker": "<string>",
"series_ticker": "<string>",
"sub_title": "<string>",
"title": "<string>",
"collateral_return_type": "<string>",
"mutually_exclusive": true,
"available_on_brokers": true,
"settlement_sources": [
{
"name": "<string>",
"url": "<string>"
}
],
"category": "<string>",
"strike_date": "2023-11-07T05:31:56Z",
"strike_period": "<string>",
"markets": [
{
"ticker": "<string>",
"event_ticker": "<string>",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"open_time": "2023-11-07T05:31:56Z",
"close_time": "2023-11-07T05:31:56Z",
"latest_expiration_time": "2023-11-07T05:31:56Z",
"settlement_timer_seconds": 123,
"yes_bid_dollars": "0.5600",
"yes_bid_size_fp": "10.00",
"yes_ask_dollars": "0.5600",
"yes_ask_size_fp": "10.00",
"no_bid_dollars": "0.5600",
"no_ask_dollars": "0.5600",
"last_price_dollars": "0.5600",
"volume_fp": "10.00",
"volume_24h_fp": "10.00",
"can_close_early": true,
"open_interest_fp": "10.00",
"notional_value_dollars": "0.5600",
"previous_yes_bid_dollars": "0.5600",
"previous_yes_ask_dollars": "0.5600",
"previous_price_dollars": "0.5600",
"expiration_value": "<string>",
"rules_primary": "<string>",
"rules_secondary": "<string>",
"price_level_structure": "<string>",
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"title": "<string>",
"subtitle": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"expiration_time": "2023-11-07T05:31:56Z",
"liquidity_dollars": "0.5600",
"settlement_value_dollars": "0.5600",
"settlement_ts": "2023-11-07T05:31:56Z",
"occurrence_datetime": "2023-11-07T05:31:56Z",
"fee_waiver_expiration_time": "2023-11-07T05:31:56Z",
"early_close_condition": "<string>",
"floor_strike": 123,
"cap_strike": 123,
"functional_strike": "<string>",
"custom_strike": {},
"mve_collection_ticker": "<string>",
"mve_selected_legs": [
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"side": "<string>",
"yes_settlement_value_dollars": "0.5600"
}
],
"primary_participant_key": "<string>",
"is_provisional": true,
"exchange_index": 0
}
],
"product_metadata": {},
"last_updated_ts": "2023-11-07T05:31:56Z",
"fee_type_override": "<string>",
"fee_multiplier_override": 123,
"exchange_index": 0
},
"markets": [
{
"ticker": "<string>",
"event_ticker": "<string>",
"yes_sub_title": "<string>",
"no_sub_title": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"open_time": "2023-11-07T05:31:56Z",
"close_time": "2023-11-07T05:31:56Z",
"latest_expiration_time": "2023-11-07T05:31:56Z",
"settlement_timer_seconds": 123,
"yes_bid_dollars": "0.5600",
"yes_bid_size_fp": "10.00",
"yes_ask_dollars": "0.5600",
"yes_ask_size_fp": "10.00",
"no_bid_dollars": "0.5600",
"no_ask_dollars": "0.5600",
"last_price_dollars": "0.5600",
"volume_fp": "10.00",
"volume_24h_fp": "10.00",
"can_close_early": true,
"open_interest_fp": "10.00",
"notional_value_dollars": "0.5600",
"previous_yes_bid_dollars": "0.5600",
"previous_yes_ask_dollars": "0.5600",
"previous_price_dollars": "0.5600",
"expiration_value": "<string>",
"rules_primary": "<string>",
"rules_secondary": "<string>",
"price_level_structure": "<string>",
"price_ranges": [
{
"start": "<string>",
"end": "<string>",
"step": "<string>"
}
],
"title": "<string>",
"subtitle": "<string>",
"expected_expiration_time": "2023-11-07T05:31:56Z",
"expiration_time": "2023-11-07T05:31:56Z",
"liquidity_dollars": "0.5600",
"settlement_value_dollars": "0.5600",
"settlement_ts": "2023-11-07T05:31:56Z",
"occurrence_datetime": "2023-11-07T05:31:56Z",
"fee_waiver_expiration_time": "2023-11-07T05:31:56Z",
"early_close_condition": "<string>",
"floor_strike": 123,
"cap_strike": 123,
"functional_strike": "<string>",
"custom_strike": {},
"mve_collection_ticker": "<string>",
"mve_selected_legs": [
{
"event_ticker": "<string>",
"market_ticker": "<string>",
"side": "<string>",
"yes_settlement_value_dollars": "0.5600"
}
],
"primary_participant_key": "<string>",
"is_provisional": true,
"exchange_index": 0
}
]
}Get Event
Endpoint for getting data about an event by its ticker. An event represents a real-world occurrence that can be traded on, such as an election, sports game, or economic indicator release. Events contain one or more markets where users can place trades on different outcomes. All events are accessible through this endpoint, even if their associated markets are older than the historical cutoff.
Path Parameters
Event ticker
Query Parameters
If true, markets are included within the event object. If false (default), markets are returned as a separate top-level field in the response. Historical markets settled before the historical cutoff will not be included.
Response
Event retrieved successfully
Data for the event.
Show child attributes
Show child attributes
Data for the markets in this event. This field is deprecated in favour of the "markets" field inside the event. Which will be filled with the same value if you use the query parameter "with_nested_markets=true".
Show child attributes
Show child attributes